1. Updated Resource Submission Rules: All model & skin resource submissions must now include an in-game screenshot. This is to help speed up the moderation process and to show how the model and/or texture looks like from the in-game camera.
    Dismiss Notice
  2. DID YOU KNOW - That you can unlock new rank icons by posting on the forums or winning contests? Click here to customize your rank or read our User Rank Policy to see a list of ranks that you can unlock. Have you won a contest and still haven't received your rank award? Then please contact the administration.
    Dismiss Notice
  3. Weave light to take you to your highest hopes - the 6th Special Effect Contest is here!
    Dismiss Notice
  4. Lead your forces to battle in the 15th Techtree Contest. The call is yours, commander!
    Dismiss Notice
  5. Check out the Staff job openings thread.
    Dismiss Notice
Dismiss Notice
60,000 passwords have been reset on July 8, 2019. If you cannot login, read this.

Warcraft 3 Patch 1.31

Discussion in 'Latest Updates and News' started by Ralle, Mar 25, 2019.

  1. Chaosy

    Chaosy

    Joined:
    Jun 9, 2011
    Messages:
    10,827
    Resources:
    17
    Maps:
    1
    Spells:
    10
    Tutorials:
    6
    Resources:
    17
    Lua is also used in WoW for making addons which is basically mods.
     
  2. sonphamthe11H

    sonphamthe11H

    Joined:
    Mar 6, 2017
    Messages:
    127
    Resources:
    0
    Resources:
    0
    But lua allow modder to access and write memory
    Someone may make viruses :-<
     
  3. mori

    mori

    Joined:
    Jun 13, 2016
    Messages:
    442
    Resources:
    2
    Tools:
    1
    Tutorials:
    1
    Resources:
    2
    I think it's just the fact that Lua is so widespread in the modding community overall. DotA2, GMod, WoW, Starbound, and hundreds of other games all use lua. It's an excellent embeddable language.

    Nice low-quality shitpost.
    In case you aren't memeing, no, Lua does not have raw memory access. In fact, it's even more secure than JASS due to the sheer amount of usage it's seen over the last 20 odd years.
     
  4. sonphamthe11H

    sonphamthe11H

    Joined:
    Mar 6, 2017
    Messages:
    127
    Resources:
    0
    Resources:
    0
    You see my point :))
    Just kidding
     
  5. Trakya

    Trakya

    Joined:
    May 11, 2013
    Messages:
    203
    Resources:
    0
    Resources:
    0
  6. azgarol

    azgarol

    Joined:
    Jun 19, 2018
    Messages:
    15
    Resources:
    0
    Resources:
    0
  7. Trill

    Trill

    Joined:
    Feb 24, 2018
    Messages:
    339
    Resources:
    1
    Icons:
    1
    Resources:
    1
    So customizable interface is confirmed.
    I wanted to write some funny or witty comparison to describe how awesome these news are, but I realized that "Warcraft III getting customizable interface" is pretty much the apex. I can think of nothing to compare it to. Its absolutely awesome. I've waited for it for many-many years. Yesss.
     
  8. sonphamthe11H

    sonphamthe11H

    Joined:
    Mar 6, 2017
    Messages:
    127
    Resources:
    0
    Resources:
    0
    It’s time for the revolution :))
     
  9. GreatOneAce

    GreatOneAce

    Joined:
    May 9, 2015
    Messages:
    46
    Resources:
    0
    Resources:
    0
  10. Almia

    Almia

    Joined:
    Apr 24, 2012
    Messages:
    4,842
    Resources:
    35
    Spells:
    30
    Tutorials:
    4
    JASS:
    1
    Resources:
    35
    > Lua Support

    So it is time for my Lua libraries to rise and be active then? (My ReactiveX library for Lua was on halt, might continue developing it soon)

    I wonder how the Blizzard API for Lua will look like, I can imagine it something like this:


    Code (Text):

    -- Unit API
    function Unit:setX(value)
    function Unit:setY(value)
     
    but that would make things in Lua easily extensible (and over-writtable, except if the global environment was made read-only).
     
  11. Paillan

    Paillan

    Map Reviewer

    Joined:
    Jan 22, 2011
    Messages:
    3,054
    Resources:
    2
    Models:
    2
    Resources:
    2
    1.31 when
     
  12. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    14,081
    Resources:
    1
    Maps:
    1
    Resources:
    1
    Yeah, mine says 1.30.4etc.
     
  13. SuperNeko

    SuperNeko

    Joined:
    Apr 17, 2019
    Messages:
    5
    Resources:
    0
    Resources:
    0
    actboy168/MoeHero
    like this, if blz don't want to do more work
     
  14. Almia

    Almia

    Joined:
    Apr 24, 2012
    Messages:
    4,842
    Resources:
    35
    Spells:
    30
    Tutorials:
    4
    JASS:
    1
    Resources:
    35
    6 spaces for indents, what an abomination
     
  15. fowzark

    fowzark

    Joined:
    Apr 26, 2019
    Messages:
    1
    Resources:
    0
    Resources:
    0
    WTF... undead op now
     
  16. BloodForBlood

    BloodForBlood

    Joined:
    Mar 15, 2017
    Messages:
    96
    Resources:
    0
    Resources:
    0
    Is there an English version for YDWE?
     
  17. WeirdEditor

    WeirdEditor

    Joined:
    May 10, 2018
    Messages:
    118
    Resources:
    0
    Resources:
    0
    There are options in the configurations.
    upload_2019-5-8_9-45-33.png
    upload_2019-5-8_9-47-46.png
    (Many functions/add-ons may not work in English mode)
     

    Attached Files:

    Last edited: May 8, 2019
  18. BloodForBlood

    BloodForBlood

    Joined:
    Mar 15, 2017
    Messages:
    96
    Resources:
    0
    Resources:
    0
    Does it work on 1.31 or 1.30.4?

    Edit:
    When I open it nothing happened. Nothing changed except for the splash window image.
     
  19. WeirdEditor

    WeirdEditor

    Joined:
    May 10, 2018
    Messages:
    118
    Resources:
    0
    Resources:
    0
    No. It only supports 1.20 - 1.27a, and no plan for higher version supporting in the future.
     
  20. BloodForBlood

    BloodForBlood

    Joined:
    Mar 15, 2017
    Messages:
    96
    Resources:
    0
    Resources:
    0
    Oh... Now I know. Thanks!

    Edit:
    I can't even develop maps on 1.30.4 or 1.31, because it doesn't support TESH.. :cry: